package http_model

type UpdateSelectionRequest struct {
	EnterpriseId    string            `json:"enterprise_id"`
	SelectionID     string            `json:"selection_id"` // 选品项目id
	Platform        string            `json:"platform"`
	ProductId       int               `json:"product_id"`
	ContentType     int               `json:"content_type"`
	TaskMode        int               `json:"task_mode"`
	SampleNum       int               `json:"sample_num"`  // 样品数量
	RemainNum       int               `json:"remain_num"`  // 剩余数量
	TaskReward      float64           `json:"task_reward"` // 任务悬赏
	TaskDdl         string            `json:"task_ddl"`
	SampleMode      int               `json:"sample_mode"`
	CommissionRate  int               `json:"commission_rate"`
	ProductUrl      string            `json:"product_url"`
	SampleCondition string            `json:"sample_condition"`
	RewardCondition string            `json:"reward_condition"` // 返现悬赏条件
	SecBrief        []*SecBriefInfo   `json:"sec_brief"`
	SecExample      []*SecExampleInfo `json:"sec_example"`
	Detail          string            `json:"detail"`
}

type SecBriefInfo struct {
	FileUrl  string `json:"file_url"`
	FileUid  string `json:"file_uid"`
	FileName string `json:"file_name"`
}

type SecExampleInfo struct {
	FileUrl  string `json:"file_url"`
	FileUid  string `json:"file_uid"`
	FileName string `json:"file_name"`
}

type UpdateSelectionData struct {
	SelectionId string `json:"selection_id"`
}

func NewUpdateSelectionRequest() *UpdateSelectionRequest {
	return new(UpdateSelectionRequest)
}

func NewUpdateSelectionResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(UpdateSelectionData)
	return resp
}
